Slackware 14.0 / 14.1 / 14.2 / current : curl (SSA:2021-146-01)

high Nessus Plugin ID 150008

Synopsis

The remote Slackware host is missing a security update.

Description

New curl packages are available for Slackware 14.0, 14.1, 14.2, and
-current to fix security issues.

Solution

Update the affected curl package.

See Also

http://www.nessus.org/u?f67a0463

Plugin Details

Severity: High

ID: 150008

File Name: Slackware_SSA_2021-146-01.nasl

Version: 1.3

Type: local

Published: 5/27/2021

Updated: 6/24/2021

Risk Information

VPR

Risk Factor: High

Score: 7.4

CVSS v2

Risk Factor: Medium

Base Score: 6.8

Temporal Score: 5

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS Score Source: CVE-2021-22901

CVSS v3

Risk Factor: High

Base Score: 8.1

Temporal Score: 7.1

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:slackware:slackware_linux:curl, cpe:/o:slackware:slackware_linux, cpe:/o:slackware:slackware_linux:14.0, cpe:/o:slackware:slackware_linux:14.1, cpe:/o:slackware:slackware_linux:14.2

Required KB Items: Host/local_checks_enabled, Host/Slackware/release, Host/Slackware/packages

Exploit Ease: No known exploits are available

Patch Publication Date: 5/26/2021

Vulnerability Publication Date: 2/6/2021

Reference Information

CVE: CVE-2021-22297, CVE-2021-22298, CVE-2021-22901

SSA: 2021-146-01